Replace uuidutils.generate_uuid() with str(uuid.uuid4())

Bug #1253497 reported by Guangya Liu (Jay Lau) on 2013-11-21
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Barbican
Fix Released
Medium
Zhongyue Luo
BillingStack
Undecided
Zhongyue Luo
Blazar
Medium
Pablo Fernando Cargnelutti
Cinder
Undecided
Zhongyue Luo
Designate
Undecided
Zhongyue Luo
Glance
Undecided
Arnaud Legendre
Ironic
Fix Released
Medium
aeva black
Karbor
Undecided
Spencer Yu
OpenStack Compute (nova)
Wishlist
Guangya Liu (Jay Lau)
OpenStack DBaaS (Trove)
Fix Released
Medium
Zhongyue Luo
OpenStack Heat
Fix Released
Undecided
JunJie Nan
OpenStack Shared File Systems Service (Manila)
Undecided
Zhongyue Luo
Sahara
Fix Released
Medium
Andrew Lazarev
oslo-incubator
Undecided
Zhongyue Luo
staccato
Undecided
Zhongyue Luo
taskflow
Undecided
Zhongyue Luo
tuskar
Medium
Xurong Yang

Bug Description

http://lists.openstack.org/pipermail/openstack-dev/2013-November/018980.html

> Hi all,
>
> We had a discussion of the modules that are incubated in Oslo.
>
> https://etherpad.openstack.org/p/icehouse-oslo-status
>
> One of the conclusions we came to was to deprecate/remove uuidutils in
> this cycle.
>
> The first step into this change should be to remove generate_uuid() from
> uuidutils.
>
> The reason is that 1) generating the UUID string seems trivial enough to
> not need a function and 2) string representation of uuid4 is not what we
> want in all projects.
>
> To address this, a patch is now on gerrit.
> https://review.openstack.org/#/c/56152/
>
> Each project should directly use the standard uuid module or implement its
> own helper function to generate uuids if this patch gets in.
>
> Any thoughts on this change? Thanks.
>

Unfortunately it looks like that change went through before I caught up on
email. Shouldn't we have removed its use in the downstream projects (at
least integrated projects) before removing it from Oslo?

Doug

Changed in nova:
assignee: nobody → Jay Lau (jay-lau-513)

Fix proposed to branch: master
Review: https://review.openstack.org/57588

Changed in nova:
status: New → In Progress
Changed in cinder:
assignee: nobody → Jay Lau (jay-lau-513)

Fix proposed to branch: master
Review: https://review.openstack.org/57597

Changed in cinder:
status: New → In Progress
summary: - Remove uuidutils.generate_uuid() from nova
+ Replace uuidutils.generate_uuid() with str(uuid.uuid4())
Changed in ceilometer:
assignee: nobody → Jay Lau (jay-lau-513)

Fix proposed to branch: master
Review: https://review.openstack.org/57598

Changed in ceilometer:
status: New → In Progress
Huang Zhiteng (zhiteng-huang) wrote :

Removed Cinder from affected project. The needed change in Cinder has already landed here: https://review.openstack.org/#/c/56295/

no longer affects: cinder
Huang Zhiteng (zhiteng-huang) wrote :

It's complete, no Cinder code is using generate_uuid() anymore except those modules from Oslo.

And I am not sure this is actually a bug, to be honest.

no longer affects: cinder
John Griffith (john-griffith) wrote :

Ja

John Griffith (john-griffith) wrote :

Jay Lau,

Posting that the patch "is not a complete fix" and nothing else is less than useful. If there's an instance of the call that I missed please detail as such in the comments.

@John, its my fault that cinder already handled this part.

I'm going to fix this in nova part for the first step: remove generate_uuid() from uuidutils.

no longer affects: ceilometer
ChangBo Guo(gcb) (glongwave) wrote :

Jay Lau,

It seems like some incubation projects need clean up. I just added them here ,hope someone can help cleanup ;)

Changed in oslo:
assignee: nobody → ChangBo Guo (guochbo)
Changed in savanna:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Sergey Lukjanov (slukjanov)
milestone: none → icehouse-1
Changed in oslo:
status: New → In Progress
Haomeng,Wang (whaom) on 2013-11-22
Changed in ironic:
assignee: nobody → Haomeng,Wang (whaom)
Changed in oslo:
assignee: ChangBo Guo (guochbo) → Zhongyue Luo (zyluo)

Fix proposed to branch: master
Review: https://review.openstack.org/57854

Changed in ironic:
status: New → In Progress

Reviewed: https://review.openstack.org/57802
Committed: http://github.com/openstack/oslo-incubator/commit/bdabd512943ebb84a1333b2b3ee31a33124af76e
Submitter: Jenkins
Branch: master

commit bdabd512943ebb84a1333b2b3ee31a33124af76e
Author: Zhongyue Luo <email address hidden>
Date: Fri Nov 22 08:37:21 2013 +0800

    Remove uuidutils imports in oslo modules

    The only use of uuidutils in oslo-incubator is generate_uuid
    which could be replaced with uuid.uuid4().
    Droping the dependency would help deprecating/removing uuidutils
    in the future.

    Partial-bug: #1253497

    Change-Id: Ie0bc94e0b4aea6563f138c0f09c54c323ba23279

melanie witt (melwitt) wrote :

Novaclient isn't calling uuidutils.generate_uuid() anywhere.

no longer affects: python-novaclient
Changed in savanna:
assignee: Sergey Lukjanov (slukjanov) → Andrew Lazarev (alazarev)

Fix proposed to branch: master
Review: https://review.openstack.org/58063

Changed in savanna:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/58071

Changed in trove:
assignee: nobody → Nikhil Manchanda (slicknik)
status: New → In Progress
Changed in trove:
milestone: none → icehouse-1
Hua Zhang (zhhuabj) on 2013-11-25
Changed in neutron:
assignee: nobody → Hua Zhang (zhhuabj)

Fix proposed to branch: master
Review: https://review.openstack.org/58234

Changed in neutron:
status: New → In Progress

Reviewed: https://review.openstack.org/57854
Committed: http://github.com/openstack/ironic/commit/7fc0cee599fbb59dc36adc80b4a2623719099d67
Submitter: Jenkins
Branch: master

commit 7fc0cee599fbb59dc36adc80b4a2623719099d67
Author: Haomeng, Wang <email address hidden>
Date: Mon Nov 25 10:37:30 2013 +0800

    Remove oslo uuidutils.generate_uuid() call

    uuidutils.generate_uuid() is going to be removed from oslo, so we
    need to remove the call from our Ironic code.
    http://lists.openstack.org/pipermail/openstack-dev/2013-November/
    018980.html
    We create new method in our Ironic common utils to wrap the
    generate_uuid methods.

    Change-Id: I7bc4ca8fcdb29c4ee5b3e7fc7afb0235812a1c0d
    Partial-Bug: #1253497

Reviewed: https://review.openstack.org/58430
Committed: http://github.com/openstack/ironic/commit/e55928526f59ed7b178b5e6e242f986b90aa2a82
Submitter: Jenkins
Branch: master

commit e55928526f59ed7b178b5e6e242f986b90aa2a82
Author: Haomeng, Wang <email address hidden>
Date: Tue Nov 26 09:35:21 2013 +0800

    Remove oslo uuidutils.is_uuid_like call

    uuidutils.is_uuid_like is going to be removed from oslo, so we
    need to remove the call from our Ironic code.
    http://lists.openstack.org/pipermail/openstack-dev/2013-November/
    018980.html
    We create new method in our Ironic common utils to wrap the
    is_uuid_like methods.

    Change-Id: I6170ffc5c30b705e6a85997eb5a8ba4388c72335
    Partial-Bug: #1253497

Fix proposed to branch: master
Review: https://review.openstack.org/58572

Changed in ironic:
assignee: Haomeng,Wang (whaom) → Devananda van der Veen (devananda)
aeva black (tenbrae) on 2013-11-26
Changed in ironic:
importance: Undecided → Low
importance: Low → Medium

Reviewed: https://review.openstack.org/58063
Committed: http://github.com/openstack/savanna/commit/c61d052e083df2ed76aa8d12a27bac372ea5497a
Submitter: Jenkins
Branch: master

commit c61d052e083df2ed76aa8d12a27bac372ea5497a
Author: Andrew Lazarev <email address hidden>
Date: Fri Nov 22 15:54:20 2013 -0800

    Removed usages of uuidutils.generate_uuid()

    Fixes bug #1253497

    Change-Id: I620798b36ffa52ba2404ecfb16378adf12d921cf

Changed in savanna:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/58572
Committed: http://github.com/openstack/ironic/commit/010f9e8cd9ac34277b07c3b9508ed66b7454ee48
Submitter: Jenkins
Branch: master

commit 010f9e8cd9ac34277b07c3b9508ed66b7454ee48
Author: Devananda van der Veen <email address hidden>
Date: Tue Nov 26 08:29:06 2013 -0800

    Import uuidutils unit tests from oslo

    uuidutils is going to be removed from oslo, so we need to remove the
    calls from our Ironic code. For reference, see
    http://lists.openstack.org/pipermail/openstack-dev/2013-November/018980.html

    This change imports the unit tests from Oslo for both
    generate_uuid and is_uuid_like, which have been ported to ironic.common.

    Closes-Bug: #1253497
    Change-Id: I14ed5864615d798f5658d53be28af6bd5e86fc43

Changed in ironic:
status: In Progress → Fix Committed
Changed in trove:
importance: Undecided → Medium
Thierry Carrez (ttx) on 2013-12-03
Changed in trove:
milestone: icehouse-1 → icehouse-2
Thierry Carrez (ttx) wrote : target

 affects savanna
 status fixreleased

Changed in savanna:
status: Fix Committed → Fix Released
Joe Gordon (jogo) on 2013-12-04
Changed in nova:
importance: Undecided → Wishlist
Changed in glance:
assignee: nobody → Arnaud Legendre (arnaudleg)

Fix proposed to branch: master
Review: https://review.openstack.org/60643

Changed in glance:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/60665

Changed in heat:
assignee: nobody → Jun Jie Nan (nanjj)
status: New → In Progress

Reviewed: https://review.openstack.org/60665
Committed: http://github.com/openstack/heat/commit/4c03395feb1bcd5557dc7f2aada02ec948e5a9c7
Submitter: Jenkins
Branch: master

commit 4c03395feb1bcd5557dc7f2aada02ec948e5a9c7
Author: JUN JIE NAN <email address hidden>
Date: Sat Dec 7 21:30:16 2013 +0800

    Remove oslo uuidutils.generate_uuid from heat code

    `uuidutils.generate_uuid' is going to be removed from oslo, so we need
    to remove the call from heat code.

    Change-Id: Iba9f86d8b8ec5ebaf4e80e6b729e372816bd5723
    Partial-Bug: #1253497

Reviewed: https://review.openstack.org/60643
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=11b5487eff312d4d914fbc2f861e18b031421dbe
Submitter: Jenkins
Branch: master

commit 11b5487eff312d4d914fbc2f861e18b031421dbe
Author: Arnaud Legendre <email address hidden>
Date: Fri Dec 6 17:02:35 2013 -0800

    Use uuid instead of uuidutils

    Each project should directly use the standard uuid module.
    uuidutils will be deprecated/removed in this cycle.

    This patch replaces every uuidutils.generate_uuid() with
    str(uuid.uuid4()) and uuidutils.is_uuid_like()
    with utils.is_uuid_like().

    Change-Id: I43642d4f1e137c14134b3d544e367b504b9851ac
    Closes-Bug: #1253497

Changed in glance:
status: In Progress → Fix Committed
Zhongyue Luo (zyluo) on 2013-12-30
Changed in oslo:
status: In Progress → Fix Committed
JunJie Nan (nanjj) on 2013-12-30
Changed in heat:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/64392

Changed in trove:
assignee: Nikhil Manchanda (slicknik) → Zhongyue Luo (zyluo)
Oleh Anufriiev (oanufriev) wrote :

glance/openstack/common/context.py kept unrefactored.
So, it still imports uuidutils from glance.openstack.common, but now such module found.

Arnaud Legendre (arnaudleg) wrote :

Oleh -- this will be fixed in another path.
Thanks for pointing that out.

Changed in glance:
status: Fix Committed → In Progress
Changed in oslo:
milestone: none → icehouse-2

Reviewed: https://review.openstack.org/64392
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=1085ea267b56ad664bbe65fbe8f590126f913fc3
Submitter: Jenkins
Branch: master

commit 1085ea267b56ad664bbe65fbe8f590126f913fc3
Author: Zhongyue Luo <email address hidden>
Date: Mon Dec 30 12:02:11 2013 +0800

    Replace oslo.uuidutils module with trove.utils

    Oslo is removing uuidutils during the icehouse cycle.
    Consequently we need to remove all references to uuidutils, and
    replace them with the corresponding function from trove.utils.

    Change-Id: Idd4b25e98624dfb6a25e275cac44a54324f50449
    Closes-bug: 1253497

Changed in trove:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/66064
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=6de1cb9ee5e9cf5e34eb1bedb8f303f2e27b6c3c
Submitter: Jenkins
Branch: master

commit 6de1cb9ee5e9cf5e34eb1bedb8f303f2e27b6c3c
Author: Arnaud Legendre <email address hidden>
Date: Fri Jan 10 12:07:15 2014 -0800

    Remove 'openstack/common/context.py'

    context.py is not used anywhere in Glance. Consequently, we can get
    rid of it.
    Also, context.py is the only file left using uuidutils.

    Change-Id: I657e20ac39fbace60f230652912a4bf792836206
    Closes-Bug: #1253497

Changed in glance:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-01-22
Changed in trove:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-01-22
Changed in glance:
milestone: none → icehouse-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-01-22
Changed in ironic:
milestone: none → icehouse-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-01-22
Changed in heat:
milestone: none → icehouse-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-01-23
Changed in oslo:
status: Fix Committed → Fix Released
Zhongyue Luo (zyluo) wrote :
Changed in taskflow:
assignee: nobody → Zhongyue Luo (zyluo)
status: New → In Progress

Reviewed: https://review.openstack.org/73943
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=e4492d54ae0d59514b6c621eceb89ed7648bd6d6
Submitter: Jenkins
Branch: master

commit e4492d54ae0d59514b6c621eceb89ed7648bd6d6
Author: Zhongyue Luo <email address hidden>
Date: Mon Feb 17 14:53:01 2014 +0800

    Use uuid instead of uuidutils

    Glance no longer import uuidutils from Oslo.
    This patch replaces uuidutils.generate_uuid() with
    str(uuid.uuid4()).

    Change-Id: I463324cefe488138d709ffe0cc4a587d6ecaa850
    Related-Bug: #1253497

Changed in murano:
importance: Undecided → Low
milestone: none → 0.5
status: New → Confirmed
Xurong Yang (idopra) on 2014-02-24
Changed in murano:
assignee: nobody → Xurong Yang (idopra)
Changed in manila:
assignee: nobody → Xurong Yang (idopra)
lvdongbing (dbcocle) on 2014-02-25
Changed in cinder:
assignee: nobody → lvdongbing (dbcocle)
status: New → Confirmed

Reviewed: https://review.openstack.org/73955
Committed: https://git.openstack.org/cgit/stackforge/murano-api/commit/?id=25a9ee8419e51c69a3449312e54de359a479a8cd
Submitter: Jenkins
Branch: master

commit 25a9ee8419e51c69a3449312e54de359a479a8cd
Author: Zhongyue Luo <email address hidden>
Date: Mon Feb 17 15:42:13 2014 +0800

    Update context from Oslo

    Following changes were updated:

    13eb01c Adding domain to context and log
    12bcdb7 Remove vim header
    bdabd51 Remove uuidutils imports in oslo modules
    44e8222 Revert "Removes generate_uuid from uuidutils"
    571a78a Removes generate_uuid from uuidutils
    36859e5 Adding instance_uuid to context and log

    Change-Id: Ifecf96418a6082fe52f010f566dcd7505a3de629
    Closes-bug: #1253497

Changed in murano:
status: Confirmed → Fix Committed
Xurong Yang (idopra) on 2014-02-25
Changed in tuskar:
assignee: nobody → Xurong Yang (idopra)
status: New → In Progress
Xurong Yang (idopra) on 2014-02-25
Changed in horizon:
assignee: nobody → Xurong Yang (idopra)
status: New → In Progress
Changed in tuskar:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/76158
Committed: https://git.openstack.org/cgit/openstack/tuskar/commit/?id=b257fc4cc9aaa1e2578889482094c39c20eb5b09
Submitter: Jenkins
Branch: master

commit b257fc4cc9aaa1e2578889482094c39c20eb5b09
Author: yangxurong <email address hidden>
Date: Tue Feb 25 19:07:49 2014 +0800

    Replace uuidutils.generate_uuid() with str(uuid.uuid4())

    uuidutils.generate_uuid() is going to be removed from oslo,
    so we need to remove its use in tuskar.

    This patch was use str(uuid.uuid4()) to replace
    uuidutils.generate_uuid().

    Change-Id: I4ac42822fe6269d14abef409a81127ebd4444c8a
    Closes-Bug: #1253497

Changed in tuskar:
status: In Progress → Fix Committed
Changed in barbican:
status: New → Confirmed
Changed in climate:
assignee: nobody → Pablo Fernando Cargnelutti (pablo-fernando-cargnelutti)
lvdongbing (dbcocle) on 2014-02-26
Changed in cinder:
assignee: lvdongbing (dbcocle) → nobody

Reviewed: https://review.openstack.org/76182
Committed: https://git.openstack.org/cgit/openstack/tuskar/commit/?id=066bdb29112ba57e835a63b07807863f188a7a82
Submitter: Jenkins
Branch: master

commit 066bdb29112ba57e835a63b07807863f188a7a82
Author: Zhongyue Luo <email address hidden>
Date: Tue Feb 25 21:49:16 2014 +0900

    Update context from Oslo

    Following changes were updated:

    13eb01c Adding domain to context and log
    12bcdb7 Remove vim header
    bdabd51 Remove uuidutils imports in oslo modules
    44e8222 Revert "Removes generate_uuid from uuidutils"
    571a78a Removes generate_uuid from uuidutils
    36859e5 Adding instance_uuid to context and log

    Change-Id: I924bfb41fba3a84f01f96777cdfd2db0ea6aabf1
    Closes-bug: #1253497

Fix proposed to branch: master
Review: https://review.openstack.org/76600

Changed in climate:
status: New → In Progress
Changed in barbican:
assignee: nobody → Douglas Mendizabal (dougmendizabal)
importance: Undecided → Medium
milestone: none → icehouse-3
Zhongyue Luo (zyluo) wrote :

Douglas, I already have a patch for this. Thanks

https://review.openstack.org/#/c/76756/

Changed in barbican:
assignee: Douglas Mendizabal (dougmendizabal) → Zhongyue Luo (zyluo)
Zhongyue Luo (zyluo) wrote :
Changed in billingstack:
assignee: nobody → Zhongyue Luo (zyluo)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/76768

Changed in designate:
assignee: nobody → Zhongyue Luo (zyluo)
status: New → In Progress

Reviewed: https://review.openstack.org/76756
Committed: https://git.openstack.org/cgit/stackforge/barbican/commit/?id=53100d02bdb7cc1011363644e4eef88ab1630821
Submitter: Jenkins
Branch: master

commit 53100d02bdb7cc1011363644e4eef88ab1630821
Author: Zhongyue Luo <email address hidden>
Date: Thu Feb 27 13:05:22 2014 +0800

    Remove oslo.uuidutils

    The only use of uuidutils in barbican is generate_uuid
    which will be dropped from oslo-incubator.

    This patch moves generate_uuid to barbican.common.utils and
    updates the context module from oslo.

    Following changes were updated in context:

    13eb01c Adding domain to context and log
    12bcdb7 Remove vim header
    bdabd51 Remove uuidutils imports in oslo modules
    44e8222 Revert "Removes generate_uuid from uuidutils"
    571a78a Removes generate_uuid from uuidutils
    36859e5 Adding instance_uuid to context and log

    Change-Id: If27f8308f00ce92d8cde0bc1c669c8020137eba5
    Partial-bug: #1253497

Zhongyue Luo (zyluo) wrote :
Changed in staccato:
assignee: nobody → Zhongyue Luo (zyluo)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/77074

Changed in cinder:
assignee: nobody → Zhongyue Luo (zyluo)
status: Confirmed → In Progress
Zhongyue Luo (zyluo) on 2014-02-28
Changed in murano:
assignee: Xurong Yang (idopra) → Zhongyue Luo (zyluo)
Zhongyue Luo (zyluo) wrote :
Changed in manila:
assignee: Xurong Yang (idopra) → Zhongyue Luo (zyluo)
status: New → In Progress

Reviewed: https://review.openstack.org/77077
Committed: https://git.openstack.org/cgit/stackforge/manila/commit/?id=753f1614060f6128da2eb213e7e6cae6e04f65db
Submitter: Jenkins
Branch: master

commit 753f1614060f6128da2eb213e7e6cae6e04f65db
Author: Zhongyue Luo <email address hidden>
Date: Fri Feb 28 13:49:32 2014 +0800

    Use uuid instead of uuidutils

    The generate_uuid() functions will be deprecated/removed from uuidutils/
    This patch replaces uuidutils.generate_uuid() with str(uuid.uuid4()).

    Change-Id: I40e2dbf5e9e04b0109b1185df70e4f4ba93a17c9
    Partial-Bug: #1253497

Zhongyue Luo (zyluo) on 2014-02-28
Changed in manila:
status: In Progress → Fix Committed
Changed in manila:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/76404
Committed: https://git.openstack.org/cgit/stackforge/murano-repository/commit/?id=9b5bdfe2ccf305faae9afaeb179a4035a00a4117
Submitter: Jenkins
Branch: master

commit 9b5bdfe2ccf305faae9afaeb179a4035a00a4117
Author: Zhongyue Luo <email address hidden>
Date: Wed Feb 26 09:51:40 2014 +0900

    Update context from Oslo

    Following changes were updated:

    13eb01c Adding domain to context and log
    12bcdb7 Remove vim header
    bdabd51 Remove uuidutils imports in oslo modules
    44e8222 Revert "Removes generate_uuid from uuidutils"
    571a78a Removes generate_uuid from uuidutils
    36859e5 Adding instance_uuid to context and log

    As of this update uuidutils is not used anymore in murano-repository.

    Change-Id: Id427613235a9087820f7a9fe0a4165e709f57fde
    Closes-bug: #1253497

Reviewed: https://review.openstack.org/76215
Committed: https://git.openstack.org/cgit/stackforge/murano-conductor/commit/?id=6cdb946663dddfa7953f6191149b1c74fba5c457
Submitter: Jenkins
Branch: master

commit 6cdb946663dddfa7953f6191149b1c74fba5c457
Author: Zhongyue Luo <email address hidden>
Date: Tue Feb 25 23:28:53 2014 +0900

    Update context from Oslo

    Following changes were updated:

    13eb01c Adding domain to context and log
    12bcdb7 Remove vim header
    bdabd51 Remove uuidutils imports in oslo modules
    44e8222 Revert "Removes generate_uuid from uuidutils"
    571a78a Removes generate_uuid from uuidutils
    36859e5 Adding instance_uuid to context and log

    As of this update uuidutils is not used anymore in murano-conductor.

    Change-Id: Idb68ad50a7eff588322f53c3ffa639fef3bc1675
    Closes-bug: #1253497

Reviewed: https://review.openstack.org/76768
Committed: https://git.openstack.org/cgit/stackforge/designate/commit/?id=c44b8f81c64dd5665d888cbb0e44d7c14123b12f
Submitter: Jenkins
Branch: master

commit c44b8f81c64dd5665d888cbb0e44d7c14123b12f
Author: Zhongyue Luo <email address hidden>
Date: Thu Feb 27 14:03:12 2014 +0800

    Remove use of uuidutils.generate_uuid

    Oslo is removing uuidutils.generate_uuid() during the icehouse cycle.
    This patch moves generate_uuid to designate.utils.

    Change-Id: I65c6d8e0d985c67f43682e9f3ae80997ee96d0f7
    Partial-Bug: #1253497

Kiall Mac Innes (kiall) on 2014-02-28
Changed in nova:
status: In Progress → Fix Committed
Changed in designate:
status: In Progress → Fix Committed
Kiall Mac Innes (kiall) wrote :

Apologies :)

Changed in nova:
status: Fix Committed → In Progress
Changed in barbican:
status: Confirmed → Fix Committed
Changed in tuskar:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/76449
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=32165415619b275272365c533bf3add14ec3f07c
Submitter: Jenkins
Branch: master

commit 32165415619b275272365c533bf3add14ec3f07c
Author: ChangBo Guo(gcb) <email address hidden>
Date: Wed Feb 26 14:25:15 2014 +0800

    Refactor UUID test

    Oslo is removing uuidutils during the icehouse cycle. We had removed
    uuidutils.generate_uuid() in https://review.openstack.org/#/c/60643/
    It seems the UUID test was not executed, for example, there is no method
    called generate_uuid() in common/utils, the Jekins still passed. This
    patch move the testcase and remove the test method for generate_uuid.

    Change-Id: If4f508129f0b44d63fe77ed1251c0e0737e7e897
    Partial-Bug: #1253497

Zhongyue Luo (zyluo) on 2014-03-05
Changed in taskflow:
status: In Progress → Invalid
Changed in barbican:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/73363
Committed: https://git.openstack.org/cgit/stackforge/climate/commit/?id=69b0497ab9d6b20dd41fcfba20801d37df911d00
Submitter: Jenkins
Branch: master

commit 69b0497ab9d6b20dd41fcfba20801d37df911d00
Author: Cristian A Sanchez <email address hidden>
Date: Tue Feb 18 16:37:15 2014 -0300

    Update openstack.common with latest oslo-incubator

    openstack.common was updated with the latest oslo-incubator changes.
    rpc and notif were manually removed. DB layer was modified to adapt
    to the changes done in Oslo. '# noqa' was also removed from imports.

    Also after new release of oslo.messaging appeared, we also needed
    to update openstack.common to make Climate work with oslo.

    Change-Id: I1b5ce64f8d4906d1fcfea9379d115b7bb2ec3f7b
    Closes-Bug: #1237896
    Closes-Bug: #1284749
    Partial-bug: #1253497
    Co-Authored-By: Pablo Fernando Cargnelutti <email address hidden>
    Co-Authored-By: Dina Belova <email address hidden>

Changed in designate:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Dina Belova (dbelova) on 2014-03-19
Changed in climate:
importance: Undecided → Medium
milestone: none → next
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-04-17
Changed in oslo:
milestone: icehouse-2 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in trove:
milestone: icehouse-2 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in heat:
milestone: icehouse-2 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in glance:
milestone: icehouse-2 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in sahara:
milestone: icehouse-1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in ironic:
milestone: icehouse-2 → 2014.1

Reviewed: https://review.openstack.org/92547
Committed: https://git.openstack.org/cgit/stackforge/climate/commit/?id=82a726ebe352f94755a2bf975f16fbf7c730d29e
Submitter: Jenkins
Branch: master

commit 82a726ebe352f94755a2bf975f16fbf7c730d29e
Author: Jay Lau <email address hidden>
Date: Wed May 7 17:17:45 2014 +0800

    Remove uuidutils imports in oslo modules

    Patch I1b5ce64f8d4906d1fcfea9379d115b7bb2ec3f7b did not clean all
    uuidutils, this patch did the left clean up for uuidutils.

    Change-Id: I21dd00abafc60c722315caecff5d5240b9777b3a
    Partial-bug: #1253497

Zhongyue Luo (zyluo) on 2014-06-13
Changed in staccato:
status: In Progress → Invalid
Changed in billingstack:
status: In Progress → Invalid
Changed in cinder:
status: In Progress → Invalid
Changed in neutron:
status: In Progress → Invalid
Changed in horizon:
status: In Progress → Invalid
Changed in nova:
status: In Progress → Invalid
Changed in murano:
status: Fix Committed → Fix Released
Jesse (boycht) wrote :

Need to close the following bug?
https://bugs.launchpad.net/neutron/+bug/1082248
#1082248 try to replace str(uui.uuid4()) with uuidutils.generate_uuid().

Changed in blazar:
milestone: next → 0.3.0
Spencer Yu (yushb) on 2017-07-11
Changed in karbor:
assignee: nobody → Spencer Yu (yushb)
no longer affects: murano
Akihiro Motoki (amotoki) on 2017-07-11
no longer affects: neutron
no longer affects: horizon
Changed in blazar:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers